Problems with deploying

I am trying to deploy the web with database on postgresql
But the error is appearing, please can you help ASAP, the project deadline is tomorrow


1 Like

Hi @DianaTurmakhan,

Thanks for posting and welcome to the Streamlit Community!

Here’s a tutorial on how to set it up if you haven’t seen it yet.

If you’ve followed the above steps and still receiving the error, feel free to reach out with more details on the error using this rubric.

Happy Streamlit-ing :balloon:

1 Like

I was having exactly the same error that Diana.
My fault was was that in the requirements.txt was using
psycopg2==2.9.5
instead of
psycopg2-binary==2.9.5

I used psycopg2-binary==2.9.5 and could deploy the app at streamlit servers.
psycopg2==2.9.5 was fine for google cloud run, but not for streamlit

1 Like